Subject: RE: bug#13572: 24.3.50; `describe-function' -> "This function has a compiler macro..."

From: "Drew Adams" <[email-masked]>
Date: Sun, 27 Jan 2013 18:44:24 -0800

Digging further (thanks to the doc string for `register-alist', and with prior
knowledge of defstruct), I figured out that this is a type predicate constructed
automatically for a register defstruct.

The doc needs to be improved for this kind of thing (automatically generated
functions).  If you are going to add and use things like `defstruct', then
please do it right.  Emacs dev should not just be creating functions that have
no doc willy nilly.